LINUX.ORG.RU

Куда слать баг-репорт, и как его выковыривать отсюда?

 


0

2

При обновлении glibc с версии 2.12 до 2.16 (меня всё-таки приняли в бета-тестеры Steam for Linux) получил эту ошибку. http://paste.org.ru/?uu758c

x86_64-pc-linux-gnu-gcc -m64 -Wl,-O1 -Wl,--as-needed  -shared -static-libgcc -Wl,-O1  -Wl,-z,defs -Wl,-dynamic-linker=/lib64/ld-linux-x86-64.so.2  -B/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/csu/  -Wl,--version-script=/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/libc.map -Wl,-soname=libc.so.6 -Wl,-z,combreloc -Wl,-z,relro -nostdlib -nostartfiles -e __libc_main -Wl,-z,now -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/math -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/elf -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/dlfcn -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/nss -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/nis -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/rt -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/resolv -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/crypt -L/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/nptl -Wl,-rpath-link=/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/math:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/elf:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/dlfcn:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/nss:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/nis:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/rt:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/resolv:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/crypt:/var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/nptl -o /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/linkobj/libc.so -T /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/shlib.lds /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/csu/abi-note.o /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/elf/soinit.os -Wl,--whole-archive /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/linkobj/libc_pic.a -Wl,--no-whole-archive /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/elf/sofini.os /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/elf/interp.os /var/tmp/portage/sys-libs/glibc-2.16.0/work/build-amd64-x86_64-pc-linux-gnu-nptl/elf/ld.so -lgcc
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4/../../../../x86_64-pc-linux-gnu/bin/ld: BFD (GNU Binutils) 2.21 internal error, aborting at /var/tmp/portage/sys-devel/binutils-2.21/work/binutils-2.21/bfd/elf64-x86-64.c line 2764 in elf64_x86_64_relocate_section

/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4/../../../../x86_64-pc-linux-gnu/bin/ld: Please report this bug.

Что теперь делать? Меня попросили куда-то отправить багрепорт.

Ответ на: комментарий от vurdalak

Спасибо. Следующий вопрос - а что посылать-то?! Если программа попросила отправить баг, значит у неё где-то должен быть багрепорт!

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

а 167 это сильно плохо?

Это даже не смешно, приятель. Это не смешно.
Если это число превышает диапазон 0..1 - уже нужно делать etc-update / dispatch-conf

Впрочем, надеюсь ты шутишь. Подколол меня, надо же!

science ★★☆ ()
Ответ на: комментарий от science

Я не шучу, это не фейк, там реально такое число. Я просто сделал обновление большинства системных компонентов на давно не обновлявшейся системе (с марта 2011 года) и забыл выполнить эти команды. Сейчас сделаю.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

167 это сильно плохо?

Несколько десятков пакетов работают с устаревшими конфигами, возможно, несколько раз устаревшими. Как будто что-то плохое, да.

Xenesz ★★★★ ()

Проблема решена: я нашёл багрепорт с похожей ошибкой при сборке Qt. Странно, вот Qt как раз у меня скомпилировался без проблем. Проблема не в glibc, нужно всего лишь обновить binutils. Всем спасибо. Компилирую. Интересно, что такое multislot и multitarget - USE-флаги у binutils?

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

что такое multislot и multitarget - USE-флаги у binutils?

equery u binutils
science ★★☆ ()

Целиком отправляй, дебилушка, а то вечно в багзилле «plz attach full log».

anonymous ()

У меня стоит glibc-2.16: полет нормальный.

...
IMPORTANT: 167 config files in '/etc' need updating.
...

Что-то мне говорит, что в системе у тебя полный бардак.

Где-то видел документацию, что после апгрейда glibc нужно перекомпилить весь мир.

Ладно, вот варианты:

Сначала попробуй малой кровью:

$ revdep-rebuild
$ emerge --with-bdeps=y glibc

Если нет, то уже нормально обнови систему:

$ cd /etc
$ find -iname "._cfg*"
... почистить файлы
$ revdep-rebuild
$ emerge --sync
$ emerge -pvuND --with-bdeps=y world
... убираем блокировки, если есть
$ emerge -uND --with-bdeps=y world

Kroz ★★★★★ ()
Последнее исправление: Kroz (всего исправлений: 4)

все баги при сборке стоит направлять в BGO если не указано слать их напрямую к разрабам.

Thero ★★★★★ ()

меня всё-таки приняли в бета-тестеры Steam for Linux

Но постойте, одним из сестемных требований Стима является Убунта. Они разве будут принимать сообщения о багах, если они были обнаружены не под Убунтой?

firestarter ★★★☆ ()

У меня стим работает с 2.15-r3

O02eg ★★★★★ ()
Ответ на: комментарий от serg5itsmarkov

OMG ну почему патрик умнее гентушнегов и этого не требует ? :-)

Не, он не требует, просто вам самим придется находить, чего же не хватаеn в системе что она не работает. В Генту для этого одна команда: revdep-rebuild .

Kroz ★★★★★ ()
Ответ на: комментарий от serg5itsmarkov

у него и у мну все работает :-) после замены минорной версии glibc не работает только в генте :-)

Нууу, друг. Гента делает те же ./configure && make && make install , ничего сверхъестественного. У тебя просто на генте помойка. В Слаке ты б такое разруливал неделю, а здесь одна команда.

Я вот тоже недавно glibc апгрейдил - да, один пакет, все просто. Проблемы у тебя, а не у Генты.

Kroz ★★★★★ ()
Ответ на: комментарий от Thero

нет такого требования

Я подробно не интересовался, но вроде где-то встречал, возможно на Швабрашвабре пробегало.

firestarter ★★★☆ ()
Ответ на: комментарий от firestarter

ну пакет стима выпущен только для убунты. и стим юзает бутстрапный кусок от убунты для своих целей. это да, но никаких ограничений или требований. запустили? круто! не работает? есть толковый багрепорт? велкам(зы а ваще там так идёт что «арчепроблемы» не берут, но стимопроблемы берут не зависимо от региона африки)

Thero ★★★★★ ()
Ответ на: комментарий от Kroz

У мну слака , что на генте помойка дурковатых майтейнеров, ну может быть, охотно верю :-) glibc одна из самых устойчивых либ в этом плане, и изменения в минорной версии никак не сказываются на работе прог.
В слаке я вообще ничего не разруливаю при обновлении glibc, бо совершенно «ненужно», пересборка мира при ее обновлении это теоретическая хня авторов вики генты.

serg5itsmarkov ()
Ответ на: комментарий от serg5itsmarkov

после замены минорной версии glibc не работает только в генте :-)

Всё работает, возможны проблемы с оптимизацией только. Я мир уже года 4 не пересобираю при апдейтах glibc-а - полёт нормальный. Учитывая что пакеты потихоньку сами обновляются...

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Kroz

Чего не понял, что при обновлении glibc надо мир пересобирать ? Ну если кто то из авторов таких советов желает себе что сломать пониже пояса, пускай ломает, но другим то зачем это советовать ? :

serg5itsmarkov ()
Ответ на: комментарий от serg5itsmarkov

Я ж говорю не понял.

Давай по кусочкам:
Я обновил glibc-2.15 до glibc-2.16 одной командой, без каких-либо других телодвижений. Без пересборки мира. Без <сюда подставь что-то свое>. Камменты будут ;)

Kroz ★★★★★ ()
Последнее исправление: Kroz (всего исправлений: 1)
Ответ на: комментарий от Kroz

комменты был именно по поводу утверждения, что при обновлении glibc нужна пересборка мира. Что обновить сам glibc можно одной командой никто и не спорил :-)

serg5itsmarkov ()

После того как я обновил binutils, gcc и glibc у меня перестал стартовать Tro Bundle. Стартует, соединяется, а Firefox не показывает. Где найти ошибку не знаю. Может, как раз из-за сказанного? Tor Bundle - бинарный с сайта.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от serg5itsmarkov

комменты был именно по поводу утверждения, что при обновлении glibc нужна пересборка мира.

Ааа. То есть ты решил что агрейд glibc 100% поломает систему + ты решил что это только в Gentoo?

http://www.linuxfromscratch.org/lfs/view/development/chapter06/pkgmgt.html :
If one of the toolchain packages (Glibc, GCC or Binutils) needs to be upgraded to a newer minor version, it is safer to rebuild LFS. Though you may be able to get by rebuilding all the packages in their dependency order, we do not recommend it. For example, if glibc-2.2.x needs to be updated to glibc-2.3.x, it is safer to rebuild. For micro version updates, a simple reinstallation usually works, but is not guaranteed. For example, upgrading from glibc-2.3.4 to glibc-2.3.5 will not usually cause any problems.

Для слакваристов все печальнее (http://www.linuxquestions.org/questions/slackware-14/upgrading-or-not-upgradi...):
I updated glibc from the 2.3.4 from Slackware 10.1 to 2.3.5 from Slackware current a few weeks ago myself. Immediately after doing so, programs started failing, the NVIDIA drivers stoped working, and the system was all in all a bit of a mess. But nothing that wasn't fixable.
I wouldn't suggest updating something as major as glibc

Но есть и решения для Слаки. Погугли по словам slackware glibc upgrade , поднаберись знаний, потом приходи.

Kroz ★★★★★ ()
Ответ на: комментарий от science
athlon_neo zenitur # etc-update
Scanning Configuration files...
Automerging trivial changes in: /etc/dnsmasq.conf
Automerging trivial changes in: /etc/usb_modeswitch.conf
Automerging trivial changes in: /etc/conf.d/local
Automerging trivial changes in: /etc/conf.d/udev
Automerging trivial changes in: /etc/security/capability.conf
Automerging trivial changes in: /etc/tor/torrc.sample
Automerging trivial changes in: /etc/usb_modeswitch.d/05c6:1000:uMa=AnyDATA
Automerging trivial changes in: /etc/usb_modeswitch.d/12d1:1031
The following is the list of files which need updating, each
configuration file is followed by a list of possible replacement files.
  1) /etc/DIR_COLORS (2)
  2) /etc/dispatch-conf.conf (2)
  3) /etc/etc-update.conf (1)
  4) /etc/genkernel.conf (3)
  5) /etc/host.conf (1)
  6) /etc/hosts (1)
  7) /etc/inputrc (1)
  8) /etc/locale.gen (1)
  9) /etc/man.conf (2)
 10) /etc/profile (1)
 11) /etc/protocols (1)
 12) /etc/rc.conf (1)
 13) /etc/sensors3.conf (1)
 14) /etc/sysctl.conf (1)
 15) /etc/tinyproxy.conf (1)
 16) /etc/ati/amdpcsdb.default (12)
 17) /etc/ati/atiogl.xml (12)
 18) /etc/ati/control (12)
 19) /etc/ati/signature (12)
 20) /etc/bash/bashrc (2)
 21) /etc/bluetooth/main.conf (1)
 22) /etc/conf.d/boinc (1)
 23) /etc/conf.d/bootmisc (1)
 24) /etc/conf.d/consolefont (1)
 25) /etc/conf.d/hostname (1)
 26) /etc/conf.d/hwclock (1)
 27) /etc/conf.d/keymaps (1)
 28) /etc/conf.d/pydoc-2.7 (1)
 29) /etc/conf.d/pydoc-3.2 (1)
 30) /etc/conf.d/urandom (1)
 31) /etc/conf.d/xdm (1)
 32) /etc/dbus-1/system.d/hal.conf (1)
 33) /etc/grub.d/00_header (1)
 34) /etc/grub.d/10_linux (1)
 35) /etc/grub.d/30_os-prober (1)
 36) /etc/hp/hplip.conf (1)
 37) /etc/init.d/acpid (1)
 38) /etc/init.d/bluetooth (1)
 39) /etc/init.d/boinc (1)
 40) /etc/init.d/bootmisc (1)
 41) /etc/init.d/dbus (1)
 42) /etc/init.d/dhcpcd (1)
 43) /etc/init.d/hald (1)
 44) /etc/init.d/localmount (1)
 45) /etc/init.d/net.lo (1)
 46) /etc/init.d/nscd (1)
 47) /etc/init.d/pwcheck (1)
 48) /etc/init.d/pydoc-2.7 (1)
 49) /etc/init.d/pydoc-3.2 (1)
 50) /etc/init.d/samba (1)
 51) /etc/init.d/sshd (1)
 52) /etc/init.d/sysctl (1)
 53) /etc/init.d/tor (1)
 54) /etc/init.d/udev (2)
 55) /etc/init.d/udev-dev-tarball (1)
 56) /etc/init.d/udev-mount (2)
 57) /etc/init.d/udev-postmount (1)
 58) /etc/init.d/xdm (1)
 59) /etc/layman/layman.cfg (1)
 60) /etc/logrotate.d/elog-save-summary (1)
 61) /etc/lvm/lvm.conf (1)
 62) /etc/mc/mc.ext (1)
 63) /etc/mc/mc.keymap (1)
 64) /etc/mc/mc.keymap.default (1)
 65) /etc/mc/mc.keymap.emacs (1)
 66) /etc/modprobe.d/alsa.conf (1)
 67) /etc/modprobe.d/ath_pci.conf (1)
 68) /etc/mplayer/input.conf (1)
 69) /etc/mplayer/mplayer.conf (1)
 70) /etc/NetworkManager/nm-system-settings.conf (1)
 71) /etc/OpenCL/vendors/amdocl32.icd (1)
 72) /etc/OpenCL/vendors/amdocl64.icd (2)
 73) /etc/pam.d/system-login (1)
 74) /etc/pam.d/xdm (1)
 75) /etc/portage/package.keywords (2)
 76) /etc/portage/package.unmask (1)
 77) /etc/ssh/sshd_config (1)
 78) /etc/tor/torrc (1)
 79) /etc/tor/torrc.sample (1)
 80) /etc/udev/rules.d/77-mm-usb-device-blacklist.rules (1)
 81) /etc/udev/rules.d/77-mm-zte-port-types.rules (1)
 82) /etc/udev/rules.d/80-mm-candidate.rules (1)
 83) /etc/usb_modeswitch.d/0471:1210 (1)
 84) /etc/usb_modeswitch.d/0471:1237 (1)
 85) /etc/usb_modeswitch.d/0482:024d (1)
 86) /etc/usb_modeswitch.d/05c6:2001 (1)
 87) /etc/usb_modeswitch.d/0930:0d46 (1)
 88) /etc/usb_modeswitch.d/0fce:d103 (1)
 89) /etc/usb_modeswitch.d/1004:607f (1)
 90) /etc/usb_modeswitch.d/12d1:101e (1)
 91) /etc/usb_modeswitch.d/12d1:1446 (1)
 92) /etc/usb_modeswitch.d/12d1:14ad (1)
 93) /etc/usb_modeswitch.d/12d1:14c1 (1)
 94) /etc/usb_modeswitch.d/12d1:1520 (1)
 95) /etc/usb_modeswitch.d/12d1:1521 (1)
 96) /etc/usb_modeswitch.d/12d1:1523 (1)
 97) /etc/usb_modeswitch.d/12d1:1557 (1)
 98) /etc/usb_modeswitch.d/1410:5010 (1)
 99) /etc/usb_modeswitch.d/19d2:0040 (1)
100) /etc/usb_modeswitch.d/19d2:2000 (1)
101) /etc/usb_modeswitch.d/1a8d:1000 (1)
102) /etc/usb_modeswitch.d/1bbb:f000 (1)
103) /etc/vpnc/vpnc-script (1)
104) /etc/X11/startDM.sh (1)
105) /etc/X11/xdm/xdm-config (1)
106) /etc/X11/xdm/Xresources (1)
Please select a file to edit by entering the corresponding number.
              (don't use -3, -5, -7 or -9 if you're unsure what to do)
              (-1 to exit) (-3 to auto merge all files)
                           (-5 to auto-merge AND not use 'mv -i')
                           (-7 to discard all updates)
                           (-9 to discard all updates AND not use 'rm -i'):

Что делать дальше?

ZenitharChampion ★★★★★ ()

Такая же ошибка в openSUSE 11.4 x86_64:

gcc   -shared -static-libgcc -Wl,-O1  -Wl,-z,defs -Wl,-dynamic-linker=/lib64/ld-linux-x86-64.so.2  -B/usr/src/packages/BUILD/glibc-2.15/cc-base/csu/  -Wl,--version-script=/usr/src/packages/BUILD/glibc-2.15/cc-base/libc.map -Wl,-soname=libc.so.6 -Wl,-z,combreloc -Wl,-z,relro -Wl,--hash-style=both -nostdlib -nostartfiles -e __libc_main -Wl,-z,now -L/usr/src/packages/BUILD/glibc-2.15/cc-base -L/usr/src/packages/BUILD/glibc-2.15/cc-base/math -L/usr/src/packages/BUILD/glibc-2.15/cc-base/elf -L/usr/src/packages/BUILD/glibc-2.15/cc-base/dlfcn -L/usr/src/packages/BUILD/glibc-2.15/cc-base/nss -L/usr/src/packages/BUILD/glibc-2.15/cc-base/nis -L/usr/src/packages/BUILD/glibc-2.15/cc-base/rt -L/usr/src/packages/BUILD/glibc-2.15/cc-base/resolv -L/usr/src/packages/BUILD/glibc-2.15/cc-base/crypt -L/usr/src/packages/BUILD/glibc-2.15/cc-base/nptl -Wl,-rpath-link=/usr/src/packages/BUILD/glibc-2.15/cc-base:/usr/src/packages/BUILD/glibc-2.15/cc-base/math:/usr/src/packages/BUILD/glibc-2.15/cc-base/elf:/usr/src/packages/BUILD/glibc-2.15/cc-base/dlfcn:/usr/src/packages/BUILD/glibc-2.15/cc-base/nss:/usr/src/packages/BUILD/glibc-2.15/cc-base/nis:/usr/src/packages/BUILD/glibc-2.15/cc-base/rt:/usr/src/packages/BUILD/glibc-2.15/cc-base/resolv:/usr/src/packages/BUILD/glibc-2.15/cc-base/crypt:/usr/src/packages/BUILD/glibc-2.15/cc-base/nptl -o /usr/src/packages/BUILD/glibc-2.15/cc-base/linkobj/libc.so -T /usr/src/packages/BUILD/glibc-2.15/cc-base/shlib.lds /usr/src/packages/BUILD/glibc-2.15/cc-base/csu/abi-note.o /usr/src/packages/BUILD/glibc-2.15/cc-base/elf/soinit.os -Wl,--whole-archive /usr/src/packages/BUILD/glibc-2.15/cc-base/linkobj/libc_pic.a -Wl,--no-whole-archive /usr/src/packages/BUILD/glibc-2.15/cc-base/elf/sofini.os /usr/src/packages/BUILD/glibc-2.15/cc-base/elf/interp.os /usr/src/packages/BUILD/glibc-2.15/cc-base/elf/ld.so -lgcc
/usr/lib64/gcc/x86_64-suse-linux/4.5/../../../../x86_64-suse-linux/bin/ld: BFD (GNU Binutils; openSUSE 11.4) 2.21 internal error, aborting at ../../bfd/elf64-x86-64.c line 2764 in elf64_x86_64_relocate_section

/usr/lib64/gcc/x86_64-suse-linux/4.5/../../../../x86_64-suse-linux/bin/ld: Please report this bug.

collect2: ld returned 1 exit status
make[1]: *** [/usr/src/packages/BUILD/glibc-2.15/cc-base/linkobj/libc.so] Error 1
make[1]: Leaving directory `/2/zenitur/packages/BUILD/glibc-2.15'
make: *** [all] Error 2
ошибка: Неверный код возврата из /var/tmp/rpm-tmp.NiCu5O (%build)


Ошибки сборки пакетов:
    Неверный код возврата из /var/tmp/rpm-tmp.NiCu5O (%build)
zenitur@linux-athlon64x2:~/Загрузки>
ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Я одно не пойму - с твоими способностями по самостоятельному решению проблем и с твоей неспособностью понять что делать с etc-update, на кой черт ты поставил gentoo? Тебе нужна ubuntu, извини за это, но как раз твоей уровень.

vyazovoi ★★★ ()
Ответ на: комментарий от vyazovoi

Убунта слишком сложна. Это как генту, но сразу с иксами. А нужен мне YAST и openSUSE. Или Mageia, там тоже много необходимых GUI. А убунта с гентой - это правка конфигов вручную, они сложны.

binutils обновил, glibc обновил, после перезагрузки неожиданно заглючили иксы. Скачиваю системные обновления, гуглинг сообщения об ошибке говорит что регрессия в X-Server.

Да, и Steam работает. Разберусь в последовательности действий - сделаю репозиторий.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 2)
Ответ на: комментарий от ZenitharChampion

Ок. etc-update и dispatch-conf это утилиты для обновления конфигов. Они просто выдают тебе список, а ты решаешь что с ними делать - просмотреть, оставить старую версию конфига, использовать новую версию, сделать ручной merge, auto-merge.
Учитывая сколько у тебя конфигов, можешь попробовать сделать auto-merge: напиши "-3".

vyazovoi ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.